Subject: Re: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Juri Linkov <[email-masked]>
Date: Sun, 31 Jul 2022 22:40:22 +0300

>> And yes, if we want truncate-lines to work reasonably well, we need to
>> fix any features which behave silly in that display mode.
>>
>
> If we want truncate-lines to work reasonably well without fixing all such
> features one-by-one, we need to fix the root cause of that dysfunction,
> which is not inside these individual features, but is the fact that (-
> (window-end) (window-start)) is huge.

Do you think introducing the rectangular narrowing could be a more general fix?
We already have rectangular regions generalized as non-contiguous regions.
Could non-contiguous narrowing help to restrict the accessible buffer area
to the visible screen rectangle?